_getDenomsMetadataByDenom

DenomsMetadata queries the client metadata of a given coin denomination.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • denom: STRING - The coin denom to query the metadata for.
curl "https://cosmos-mainnet-archive.allthatnode.com:1317/cosmos/bank/v1beta1/denoms_metadata/uatom" \
-H 'x-allthatnode-api-key: 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj'

Returns

  • OBJECT - A struct that describes a basic token.
{
  "metadata": {
    "description": "The native staking token of the Cosmos Hub.",
    "denom_units": [
      {
        "denom": "uatom",
        "exponent": 0,
        "aliases": [
          "microatom"
        ]
      },
      {
        "denom": "matom",
        "exponent": 3,
        "aliases": [
          "milliatom"
        ]
      },
      {
        "denom": "atom",
        "exponent": 6,
        "aliases": []
      }
    ],
    "base": "uatom",
    "display": "atom",
    "name": "Cosmos Hub Atom",
    "symbol": "ATOM"
  }
}

Try Yourself

Path Params
string
required
Defaults to uatom

denom is the coin denom to query the metadata for.

Headers
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj

All That Node API key

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!